hwy::HWY_NAMESPACE::Simd< Lane, N, kPow2 > Struct Template Reference

`#include <shared-inl.h>`

## Public Types

using | T = Lane
template<typename NewT >
using | Rebind = Simd< NewT, N, kPow2 >
template<typename NewT >
using | Repartition = Simd< NewT, NewN< NewT >(), kPow2 >
using | Half = Simd< T,(N+1)/2, kPow2 >
using | Twice = Simd< T, 2 *N, kPow2 >

## Public Member Functions

constexpr | Simd ()=default

## Static Public Member Functions

template<typename NewT >
static constexpr size_t | NewN ()

## Static Public Attributes

static constexpr size_t | kPrivateN = N
static constexpr int | kPrivatePow2 = kPow2

## Member Typedef Documentation

## Half

template<typename Lane , size_t N, int kPow2>

using hwy::HWY_NAMESPACE::Simd< Lane, N, kPow2 >::Half = Simd<T, (N + 1) / 2, kPow2>

## Rebind

template<typename Lane , size_t N, int kPow2>
template<typename NewT >

using hwy::HWY_NAMESPACE::Simd< Lane, N, kPow2 >::Rebind = Simd<NewT, N, kPow2>

## Repartition

template<typename Lane , size_t N, int kPow2>
template<typename NewT >

using hwy::HWY_NAMESPACE::Simd< Lane, N, kPow2 >::Repartition = Simd<NewT, NewN<NewT>(), kPow2>

## T

template<typename Lane , size_t N, int kPow2>

using hwy::HWY_NAMESPACE::Simd< Lane, N, kPow2 >::T = Lane

## Twice

template<typename Lane , size_t N, int kPow2>

using hwy::HWY_NAMESPACE::Simd< Lane, N, kPow2 >::Twice = Simd<T, 2 * N, kPow2>

## Constructor & Destructor Documentation

## Simd()

template<typename Lane , size_t N, int kPow2>

constexpr hwy::HWY_NAMESPACE::Simd< Lane, N, kPow2 >::Simd | ( |  | ) |

constexpr default

## Member Function Documentation

## NewN()

template<typename Lane , size_t N, int kPow2>
template<typename NewT >

static constexpr size_t hwy::HWY_NAMESPACE::Simd< Lane, N, kPow2 >::NewN | ( |  | ) |

inline static constexpr

References hwy::HWY_NAMESPACE::N.

## Member Data Documentation

## kPrivateN

template<typename Lane , size_t N, int kPow2>

constexpr size_t hwy::HWY_NAMESPACE::Simd< Lane, N, kPow2 >::kPrivateN = N

static constexpr

## kPrivatePow2

template<typename Lane , size_t N, int kPow2>

constexpr int hwy::HWY_NAMESPACE::Simd< Lane, N, kPow2 >::kPrivatePow2 = kPow2

static constexpr

The documentation for this struct was generated from the following file:

- ops/shared-inl.h